Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.tm
Interface TransactionPropagationContextImporter

All Known Implementing Classes:
  TxManager, TyrexTransactionPropagationContextManager

public interface TransactionPropagationContextImporter

Implementations of this interface are used for importing a transaction propagation context into the transaction manager.

Version:
  $Revision: 1.1 $
Author:
  Ole Husgaard
See Also:
  `TransactionPropagationContextFactory`

Method Summary
`javax.transaction.Transaction` | `importTransactionPropagationContext(java.lang.Object tpc)` Import the transaction propagation context into the transaction manager, and return the resulting transaction.

Method Detail

### importTransactionPropagationContext

    public javax.transaction.Transaction importTransactionPropagationContext(java.lang.Object tpc)

  Import the transaction propagation context into the transaction manager, and return the resulting transaction. If this transaction propagation context has already been imported into the transaction manager, this method simply returns the `Transaction` representing the transaction propagation context in the local VM. Returns `null` if the transaction propagation context is `null`, or if it represents a `null` transaction.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.